# Log Grok Pattern Configuration

## GET /ux/log\_grok\_pattern/log\_grok\_pattern\_configuration/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/log_grok_pattern/log_grok_pattern_configuration/":{"get":{"operationId":"ux_log_grok_pattern_log_grok_pattern_configuration_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Log Grok Pattern Configuration"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /ux/log\_grok\_pattern/log\_grok\_pattern\_configuration/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/log_grok_pattern/log_grok_pattern_configuration/":{"post":{"operationId":"ux_log_grok_pattern_log_grok_pattern_configuration_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Log Grok Pattern Configuration"],"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a grok pattern with the given id

> This endpoint is used to fetch a grok pattern details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/log_grok_pattern/log_grok_pattern_configuration/{id}/":{"get":{"operationId":"ux_log_grok_pattern_log_grok_pattern_configuration_retrieve_2","description":"This endpoint is used to fetch a grok pattern details in the current organization","summary":"Gets a grok pattern with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Log Grok Pattern Configuration"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /ux/log\_grok\_pattern/log\_grok\_pattern\_configuration/{id}/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/log_grok_pattern/log_grok_pattern_configuration/{id}/":{"put":{"operationId":"ux_log_grok_pattern_log_grok_pattern_configuration_update","description":"API endpoint that allows users to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Log Grok Pattern Configuration"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Deletes the grok pattern with given id

> This endpoint is used to delete an existing grok pattern for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/log_grok_pattern/log_grok_pattern_configuration/{id}/":{"delete":{"operationId":"ux_log_grok_pattern_log_grok_pattern_configuration_destroy","description":"This endpoint is used to delete an existing grok pattern for the current organization","summary":"Deletes the grok pattern with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Log Grok Pattern Configuration"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /ux/log\_grok\_pattern/log\_grok\_pattern\_configuration/get\_grok\_pattern\_list/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/log_grok_pattern/log_grok_pattern_configuration/get_grok_pattern_list/":{"get":{"operationId":"ux_log_grok_pattern_log_grok_pattern_configuration_get_grok_pattern_list_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Log Grok Pattern Configuration"],"responses":{"200":{"description":"No response body"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/log-grok-pattern-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
